Joomla 4.0

souacz
60 Posts
souacz posted this 16 August 2021

Tomorrow the stable release of Joomla 4.0 will be released, is Themler already adapted?

Tomorrow the stable release of Joomla 4.0 will be released, is Themler already adapted?
Vote to pay developers attention to this features or issue.
51 Comments
Order By: Standard | Newest
Support Team
Support Team posted this 16 August 2021

Hello,

We are actively working on developing Themler to support Joomla 4. For now I can say that it will be rather a completely new default Themler theme than a modified existing one because the changes in Joomla are considerable. We will update this topic when any news on the subject appear.

Sincerely,
Nettie

Hello, We are actively working on developing Themler to support Joomla 4. For now I can say that it will be rather a completely new default Themler theme than a modified existing one because the changes in Joomla are considerable. We will update this topic when any news on the subject appear. Sincerely, Nettie
souacz
60 Posts
souacz posted this 16 August 2021

So I won't be able to update existing templates that I have built? Poorly...

So I won't be able to update existing templates that I have built? Poorly...
Support Team
Support Team posted this 16 August 2021

Hello Pawel,

Nettie was referring rather to the amount of work this update would take than the ability to update old themes to be supported by Joomla 4.
Our priority would be to be able to upgrade previously created themes as well.

Gina
Themler Support

Hello Pawel, Nettie was referring rather to the amount of work this update would take than the ability to update old themes to be supported by Joomla 4. Our priority would be to be able to upgrade previously created themes as well. Gina Themler Support
souacz
60 Posts
souacz posted this 16 August 2021

ok, that gives hope, thank you very much

ok, that gives hope, thank you very much
pdg.design
160 Posts
pdg.design posted this 17 August 2021

Thank you,
Still to wait news.

Thank you, Still to wait news.
Werbeagentur Schulz-Design
38 Posts
Werbeagentur Schulz-Design posted this 17 August 2021

Hello,
the question of the usability of Themler in Joomla 4 is not new. There have been several inquiries about this in the past and it has always been claimed that Themler should also work with Joomla 4.
Joomla had also released several beta versions for this purpose, which should enable the developers to convert / reprogram their software to J4.
I hope that we will soon receive a working Themler for Joomla 4 from you. Because we can't wait forever to switch to Joomla 4.
I still hope.

Best regards
Thorsten
Werbeagentur Schulz-Design

Hello, the question of the usability of Themler in Joomla 4 is not new. There have been several inquiries about this in the past and it has always been claimed that Themler should also work with Joomla 4. Joomla had also released several beta versions for this purpose, which should enable the developers to convert / reprogram their software to J4. I hope that we will soon receive a working Themler for Joomla 4 from you. Because we can't wait forever to switch to Joomla 4. I still hope. Best regards Thorsten [Werbeagentur Schulz-Design][1] [1]: https://www.schulzdesign.info
artur.dulian
26 Posts
artur.dulian posted this 17 August 2021

True, many months of work on Joomla 4, shared beta versions to make tools like Themler available on release. Specify a specific release date for the version that works with Joomla 4.

True, many months of work on Joomla 4, shared beta versions to make tools like Themler available on release. Specify a specific release date for the version that works with Joomla 4.
pdg.design
160 Posts
pdg.design posted this 17 August 2021

Hi!
We can now update Joomla to 3.10?
Or we are need to wait a new version of Themler?
Thank you

Hi! We can now update Joomla to 3.10? Or we are need to wait a new version of Themler? Thank you
Skyla Services
10 Posts
Skyla Services posted this 17 August 2021

Hello Pawel,

Nettie was referring rather to the amount of work this update would take than the ability to update old themes to be supported by Joomla 4.
Our priority would be to be able to upgrade previously created themes as well.

Gina
Themler Support

Thank you for clarifying. We are hoping the existing themes will be upgradable.

Waiting on the news for the Themler release as well.

> Hello Pawel, > > Nettie was referring rather to the amount of work this update would take than the ability to update old themes to be supported by Joomla 4. > Our priority would be to be able to upgrade previously created themes as well. > > Gina > Themler Support Thank you for clarifying. We are hoping the existing themes will be upgradable. Waiting on the news for the Themler release as well.
souacz
60 Posts
souacz posted this 17 August 2021

Hi!
We can now update Joomla to 3.10?
Or we are need to wait a new version of Themler?
Thank you

I updated one page and it's ok, I didn't notice any errors, the editor works fine, but before updating Joomla, I clicked "update" in the editor. There is php 7.4 on my website set

> Hi! > We can now update Joomla to 3.10? > Or we are need to wait a new version of Themler? > Thank you I updated one page and it's ok, I didn't notice any errors, the editor works fine, but before updating Joomla, I clicked "update" in the editor. There is php 7.4 on my website set

Last edited 17 August 2021 by souacz

pdg.design
160 Posts
pdg.design posted this 17 August 2021

Hi!
We can now update Joomla to 3.10?
Or we are need to wait a new version of Themler?
Thank you

I updated one page and it's ok, I didn't notice any errors, the editor works fine, but before updating Joomla, I clicked "update" in the editor. There is php 7.4 on my website set

Thanks

> > Hi! > > We can now update Joomla to 3.10? > > Or we are need to wait a new version of Themler? > > Thank you > > I updated one page and it's ok, I didn't notice any errors, the editor works fine, but before updating Joomla, I clicked "update" in the editor. There is php 7.4 on my website set Thanks
tmgarrison
96 Posts
tmgarrison posted this 17 August 2021

I'll be the "idiot" here...
Today was the first time I'd even "seen" the inside of Joomla 4.0. Luckily it's only a local installation.

In playing around, I installed the latest Themler for Joomla, but I have NO idea where to edit the sucker. The only thing I've found thus far are the overrides.

Would it be possible for Themler to provide a few basic instructions to find the link where I can launch Themler within Joomla, please?

The reason I ask is because I'm getting an error when I attempt what "seems" correct - "Home Dashboard > System > Templates > Site Templates > untitled (which is the standard Themler template name)".
At that point, I get the following:

Call to a member function load() on bool 

The only option at that point is to return to the dashboard.

Cheers.

I'll be the "idiot" here... Today was the first time I'd even "seen" the inside of Joomla 4.0. Luckily it's only a local installation. In playing around, I installed the latest Themler for Joomla, but I have NO idea where to edit the sucker. The only thing I've found thus far are the overrides. Would it be possible for Themler to provide a few basic instructions to find the link where I can launch Themler within Joomla, please? The reason I ask is because I'm getting an error when I attempt what "seems" correct - "Home Dashboard > System > Templates > Site Templates > untitled (which is the standard Themler template name)". At that point, I get the following: Call to a member function load() on bool The only option at that point is to return to the dashboard. Cheers.

Last edited 17 August 2021 by tmgarrison

Support Team
Support Team posted this 17 August 2021

Hello Thomas,

There, where you have Edit in Themler button, should be a line of text saying that the Content plugins should be installed, and below there is another button to install those plugins. Do you see any error when you click on it?

Just making sure: when you export a template from Themler, Include Editor should be selected in the export dialog.

Gina
Themler Support

Hello Thomas, There, where you have Edit in Themler button, should be a line of text saying that the Content plugins should be installed, and below there is another button to install those plugins. Do you see any error when you click on it? Just making sure: when you export a template from Themler, Include Editor should be selected in the export dialog. Gina Themler Support
tmgarrison
96 Posts
tmgarrison posted this 17 August 2021

Hi Gina,

Nope. As soon as I click on "untitled" to access the blank Themler template (freshly installed on a new Joomla installation), I'm met with that error message.

There is nothing else I can do but click on the "Return to Dashboard".
The error message comes up "before" anything else. I'm not exporting a template. I'm using the default Themler template that I just installed.
I can't "make" a template yet until I can get into Themler.

It's a local installation so I can't do anything other than show you screen shots.

I wish I "could" see something familiar. Then I'd be able to figure it out.

Hi Gina, Nope. As soon as I click on "untitled" to access the blank Themler template (freshly installed on a new Joomla installation), I'm met with that error message. There is nothing else I can do but click on the "Return to Dashboard". The error message comes up "before" anything else. I'm not exporting a template. I'm using the default Themler template that I just installed. I can't "make" a template yet until I can get into Themler. It's a local installation so I can't do anything other than show you screen shots. I wish I "could" see something familiar. Then I'd be able to figure it out.
artur.dulian
26 Posts
artur.dulian posted this 18 August 2021

you get this error because there is no Themler on Joomla 4

you get this error because there is no Themler on Joomla 4
Pierre665
16 Posts
Pierre665 posted this 18 August 2021

Hello,

Could you tell us how long it will take for the Joomla4 compatible version of Themler to be released? one week ? one month? one year ?

If it takes too long I will lose customers. It is therefore important for me to have an idea in order to consider or not the abandonment of Themler.

Thank you in advance for your answer.

Regards,

Pierre

Hello, Could you tell us how long it will take for the Joomla4 compatible version of Themler to be released? one week ? one month? one year ? If it takes too long I will lose customers. It is therefore important for me to have an idea in order to consider or not the abandonment of Themler. Thank you in advance for your answer. Regards, Pierre
pdg.design
160 Posts
pdg.design posted this 18 August 2021

Hello,

Could you tell us how long it will take for the Joomla4 compatible version of Themler to be released? one week ? one month? one year ?

If it takes too long I will lose customers. It is therefore important for me to have an idea in order to consider or not the abandonment of Themler.

Thank you in advance for your answer.

Regards,

Pierre

Hi!
I to ask this!
And additional question to support: we can to upgrade our Joomla 3.9.28 to 3.10?

Themler will to work after this upgrade?

Thank you!

> Hello, > > Could you tell us how long it will take for the Joomla4 compatible version of Themler to be released? one week ? one month? one year ? > > If it takes too long I will lose customers. It is therefore important for me to have an idea in order to consider or not the abandonment of Themler. > > Thank you in advance for your answer. > > Regards, > > Pierre Hi! I to ask this! And additional question to support: we can to upgrade our Joomla 3.9.28 to 3.10? Themler will to work after this upgrade? Thank you!

Last edited 18 August 2021 by pdg.design

Виктор
92 Posts
Виктор posted this 18 August 2021

I have updated to joomla 3.10, themler is working!

I have updated to joomla 3.10, themler is working!
pdg.design
160 Posts
pdg.design posted this 18 August 2021

Thank you, Victor.
But I want to listen it from Support team.

Thank you, Victor. But I want to listen it from Support team.

Last edited 18 August 2021 by pdg.design

GT-WebDesign
30 Posts
GT-WebDesign posted this 18 August 2021

It would be appreciated if we could receive a notification as soon as Themler is J4 proof.
Can you arrange that?
Thanks
Ger

It would be appreciated if we could receive a notification as soon as Themler is J4 proof. Can you arrange that? Thanks Ger
You must log in or register to leave comments